# Generated by Django 3.1.4 on 2020-12-15 17:40

from inventory.models import layout
from django.db import migrations
from django.core.files.images import ImageFile


def default_data(apps, schema_editor):
    Workshop = apps.get_model('inventory', 'Workshop')
    Area = apps.get_model('inventory', 'Area')
    Layout = apps.get_model('inventory', 'Layout')
    FormFactor = apps.get_model('inventory', 'FormFactor')
    Distributor = apps.get_model('inventory', 'Distributor')

    single_item_layout = Layout.objects.create(
        name='Single item',
        description='Default layout for a single item',
        data=[1000]
    )

    workshop = Workshop.objects.create(
        name="Default Workshop",
        description="Default Workshop",
        layout=single_item_layout
    )

    Area.objects.create(
        name="Main Area",
        description="Main Area in default workshop",
        layout=single_item_layout,
        container=workshop,
        index=0
    )

    FormFactor.objects.bulk_create([
        # Passive SMD
        FormFactor(name="2920", description="SMD, passives, imperial, 7.4×5.1mm"),
        FormFactor(name="2725", description="SMD, passives, imperial, 6.9×6.3mm"),
        FormFactor(name="2512", description="SMD, passives, imperial, 6.3×3.2mm"),
        FormFactor(name="2010", description="SMD, passives, imperial, 5.0×2.5mm"),
        FormFactor(name="1812", description="SMD, passives, imperial, 4.5×6.4mm"),
        FormFactor(name="1806", description="SMD, passives, imperial, 4.5×2.6mm"),
        FormFactor(name="1210", description="SMD, passives, imperial, 3.2×2.5mm"),
        FormFactor(name="1206", description="SMD, passives, imperial, 3.2×1.6mm"),
        FormFactor(name="1008", description="SMD, passives, imperial, 2.5×2.0mm"),
        FormFactor(name="0805", description="SMD, passives, imperial, 2.0×1.25mm"),
        FormFactor(name="0603", description="SMD, passives, imperial, 1.6×0.8mm"),
        FormFactor(name="0402", description="SMD, passives, imperial, 1.0×0.5mm"),
        FormFactor(name="0201", description="SMD, passives, imperial, 0.6×0.3mm"),

        # Tantalum SMD
        FormFactor(name="EIA 2012-12", description="SMD, Tantalum, Kemet R, AVX R, 2.0×1.3×1.2mm"),
        FormFactor(name="EIA 3216-10", description="SMD, Tantalum, Kemet I, AVX K, 3.2×1.6×1.0mm"),
        FormFactor(name="EIA 3216-12", description="SMD, Tantalum, Kemet S, AVX S, 3.2×1.6×1.0mm"),
        FormFactor(name="EIA 3216-18", description="SMD, Tantalum, Kemet A, AVX A, 3.2×1.8×1.8mm"),
        FormFactor(name="EIA 3528-12", description="SMD, Tantalum, Kemet T, AVX T, 3.5×1.2×1.2mm"),
        FormFactor(name="EIA 3528-21", description="SMD, Tantalum, Kemet B, AVX B, 3.5×2.1×2.1mm"),
        FormFactor(name="EIA 6032-15", description="SMD, Tantalum, Kemet U, AVX W, 6.0×1.5×1.5mm"),
        FormFactor(name="EIA 6032-28", description="SMD, Tantalum, Kemet C, AVX C, 6.0×2.8×2.8mm"),
        FormFactor(name="EIA 7260-38", description="SMD, Tantalum, Kemet E, AVX V, 7.2×3.8×3.8mm"),
        FormFactor(name="EIA 7343-20", description="SMD, Tantalum, Kemet V, AVX Y, 7.3×4.3×2.0mm"),
        FormFactor(name="EIA 7343-31", description="SMD, Tantalum, Kemet D, AVX D, 7.3×4.3×3.1mm"),
        FormFactor(name="EIA 7343-43", description="SMD, Tantalum, Kemet X, AVX E, 7.3×4.3×4.3mm"),

        # Electrolyte SMD
        FormFactor(name="Cornell A", description="SMD, Electrolyte, 3.3×3.3×5.5mm"),
        FormFactor(name="Panasonic B", description="SMD, Electrolyte, 4.3×4.3×6.1mm"),
        FormFactor(name="Chemi-Con D", description="SMD, Electrolyte, 4.3×4.3×5.7mm"),
        FormFactor(name="Panasonic C", description="SMD, Electrolyte, 5.3×5.3×6.1mm"),
        FormFactor(name="Chemi-Con E", description="SMD, Electrolyte, 5.3×5.3×5.7mm"),
        FormFactor(name="Panasonic D", description="SMD, Electrolyte, 6.6×6.6×6.1mm"),
        FormFactor(name="Chemi-Con F", description="SMD, Electrolyte, 6.6×6.6×5.7mm"),
        FormFactor(name="Panasonic E/F", description="SMD, Electrolyte, 8.3×8.3×6.5mm"),
        FormFactor(name="Chemi-Con H", description="SMD, Electrolyte, 8.3×8.3×6.5mm"),
        FormFactor(name="Panasonic G", description="SMD, Electrolyte, 10.3×10.3×10.5mm"),
        FormFactor(name="Chemi-Con J", description="SMD, Electrolyte, 10.3×10.3×10.5mm"),
        FormFactor(name="Chemi-Con K", description="SMD, Electrolyte, 13.0×13.0×14.0mm"),
        FormFactor(name="Panasonic H", description="SMD, Electrolyte, 13.5×13.5×14.0mm"),
        FormFactor(name="Panasonic J", description="SMD, Electrolyte, 17×17×17mm"),
        FormFactor(name="Chemi-Con L", description="SMD, Electrolyte, 17×17×17mm"),
        FormFactor(name="Panasonic K", description="SMD, Electrolyte, 19×19×17mm"),
        FormFactor(name="Chemi-Con M", description="SMD, Electrolyte, 19×19×17mm"),

        # Diodes
        FormFactor(name="SOD-80C", description="SMD, Diode, 3.5×⌀1.5mm"),
        FormFactor(name="SOD-123", description="SMD, Diode, 2.65×1.6×1.35mm"),
        FormFactor(name="SOD-128", description="SMD, Diode, 3.8×2.5×1.1mm"),
        FormFactor(name="SOD-323", description="SMD, Diode, 1.7×1.25×1.1mm"),
        FormFactor(name="SOD-523", description="SMD, Diode, 1.2×0.8×0.65mm"),
        FormFactor(name="SOD-723", description="SMD, Diode, 1.4×0.6×0.65mm"),
        FormFactor(name="SOD-923", description="SMD, Diode, 0.8×0.6×0.4mm"),

        FormFactor(name="MicroMELF", description="SMD, Diode or Resistor, 2.2x⌀1.1mm"),
        FormFactor(name="MiniMELF", description="SMD, aka. SOD-80 or DO-213AA, Diode or Resistor, 3.6x⌀1.4mm"),
        FormFactor(name="MELF", description="SMD, aka. SOD-106 or DO-213AB, Diode or Resistor, 5.8x⌀2.2mm"),

        FormFactor(name="DO-214AA", description="SMD, Diode, 5.4×3.6×2.65mm"),
        FormFactor(name="DO-214AB", description="SMD, Diode, 7.95×5.9×2.25mm"),
        FormFactor(name="DO-214AC", description="SMD, Diode, 5.2×2.6×2.15mm"),

        # SOT 3 terminals
        FormFactor(name="SOT-23-3", description="SMD, 3 terminals, 2.92×1.3×1.12mm"),
        FormFactor(name="SOT-223-3", description="SMD, 3 terminals"),
        FormFactor(name="SOT-323", description="SMD, 3 terminals, 2.0×1.25×1.1mm"),
        FormFactor(name="SOT-416", description="SMD, 3 terminals, 1.6×0.8×0.9mm"),
        FormFactor(name="SOT-663", description="SMD, 3 terminals, 2.6×1.2×0.6mm"),
        FormFactor(name="SOT-723", description="SMD, 3 terminals, 1.2×0.8×0.55mm"),
        FormFactor(name="SOT-883", description="SMD, 3 terminals, 1.0×0.6×0.5mm"),

        # SOT 4 terminals
        FormFactor(name="SOT-89", description="SMD, 4 terminals, 4.5×2.5×1.5mm"),
        FormFactor(name="SOT-143", description="SMD, 4 terminals, 2.9×1.3×1.22mm"),
        FormFactor(name="SOT-223", description="SMD, 4 terminals, 6.5×3.5×1.8mm"),

        # Power transistors/mosfets
        FormFactor(name="TO-252", description="SMD, aka. DPAK, SOT-428, 3 or 5 terminals, 6.5×10.0×2.2mm"),
        FormFactor(name="TO-263", description="SMD, aka. D2PAK, SOT-404, 3, 5, 6, 7, 8 or 9 terminals"),
        FormFactor(name="TO-268", description="SMD, aka. D3PAK"),

        # SOT 5 terminals
        FormFactor(name="SOT-23-5", description="SMD, 5 terminals, 2.92×1.3×1.12mm"),
        FormFactor(name="SOT-353", description="SMD, 5 terminals, 2.0×1.25×0.95mm"),
        FormFactor(name="SOT-665", description="SMD, 5 terminals, 1.6×1.6×0.55mm"),
        FormFactor(name="SOT-891", description="SMD, 5 terminals, 1.0×1.0×0.5mm"),
        FormFactor(name="SOT-953", description="SMD, 5 terminals, 1.0×0.8×0.5mm"),

        # 6 terminals
        FormFactor(name="SOT-23-6", description="SMD, 6 terminals, 2.92×1.3×1.12mm"),
        FormFactor(name="SOT-363", description="SMD, 6 terminals, 2.0×1.25×0.95mm"),
        FormFactor(name="SOT-563", description="SMD, 6 terminals, 1.6×1.2×0.6mm"),
        FormFactor(name="SOT-666", description="SMD, 6 terminals, 1.6×1.2×0.6mm"),
        FormFactor(name="SOT-886", description="SMD, 6 terminals, 1.45×1.0×0.5mm"),
        FormFactor(name="SOT-963", description="SMD, 6 terminals, 1.0×1.0×0.5mm"),
        FormFactor(name="SOT-1115", description="SMD, 6 terminals, 1.0×0.9×0.35mm"),
        FormFactor(name="SOT-1202", description="SMD, 6 terminals, 1.0×1.0×0.35mm"),
        FormFactor(name="TSOP-6", description="SMD, 6 terminals"),

        # More than 6 terminals
        FormFactor(name="SOIC-8", description="SMD, aka. SO-8, 8 terminals, pin spacing 1.27mm"),
        FormFactor(name="SOIC-10", description="SMD, aka. SO-10, 10 terminals, pin spacing 1.27mm"),
        FormFactor(name="SOIC-12", description="SMD, aka. SO-12, 12 terminals, pin spacing 1.27mm"),
        FormFactor(name="SOIC-14", description="SMD, aka. SO-14, 14 terminals, pin spacing 1.27mm"),
        FormFactor(name="SOIC-16", description="SMD, aka. SO-16, 16 terminals, pin spacing 1.27mm"),
        FormFactor(name="SOIC-18", description="SMD, aka. SO-18, 18 terminals, pin spacing 1.27mm"),
        FormFactor(name="SOIC-20", description="SMD, aka. SO-20, 20 terminals, pin spacing 1.27mm"),
        FormFactor(name="SOIC-24", description="SMD, aka. SO-24, 24 terminals, pin spacing 1.27mm"),
        FormFactor(name="SOIC-32", description="SMD, aka. SO-32, 32 terminals, pin spacing 1.27mm"),

        FormFactor(name="TSOP-8", description="SMD, 8 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSOP-10", description="SMD, 10 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSOP-12", description="SMD, 12 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSOP-14", description="SMD, 14 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSOP-16", description="SMD, 16 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSOP-18", description="SMD, 18 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSOP-20", description="SMD, 20 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSOP-24", description="SMD, 24 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSOP-32", description="SMD, 32 terminals, pin spacing 0.5mm"),

        FormFactor(name="MSOP-8", description="SMD, 8 terminals, pin spacing 0.65mm, 3.0×3.0mm"),
        FormFactor(name="MSOP-10", description="SMD, 10 terminals, pin spacing 0.5mm, 3.0×3.0mm"),
        FormFactor(name="MSOP-12", description="SMD, 12 terminals, pin spacing 0.65mm, 3.0×4.0mm"),
        FormFactor(name="MSOP-16", description="SMD, 16 terminals, pin spacing 0.5mm, 3.0×4.0mm"),

        FormFactor(name="SSOP-8-0.635", description="SMD, 8 terminals, pin spacing 0.635mm"),
        FormFactor(name="SSOP-10-0.635", description="SMD, 10 terminals, pin spacing 0.635mm"),
        FormFactor(name="SSOP-12-0.635", description="SMD, 12 terminals, pin spacing 0.635mm"),
        FormFactor(name="SSOP-14-0.635", description="SMD, 14 terminals, pin spacing 0.635mm"),
        FormFactor(name="SSOP-16-0.635", description="SMD, 16 terminals, pin spacing 0.635mm"),
        FormFactor(name="SSOP-18-0.635", description="SMD, 18 terminals, pin spacing 0.635mm"),
        FormFactor(name="SSOP-20-0.635", description="SMD, 20 terminals, pin spacing 0.635mm"),
        FormFactor(name="SSOP-24-0.635", description="SMD, 24 terminals, pin spacing 0.635mm"),
        FormFactor(name="SSOP-32-0.635", description="SMD, 32 terminals, pin spacing 0.635mm"),

        FormFactor(name="SSOP-8-0.65", description="SMD, 8 terminals, pin spacing 0.65mm"),
        FormFactor(name="SSOP-10-0.65", description="SMD, 10 terminals, pin spacing 0.65mm"),
        FormFactor(name="SSOP-12-0.65", description="SMD, 12 terminals, pin spacing 0.65mm"),
        FormFactor(name="SSOP-14-0.65", description="SMD, 14 terminals, pin spacing 0.65mm"),
        FormFactor(name="SSOP-16-0.65", description="SMD, 16 terminals, pin spacing 0.65mm"),
        FormFactor(name="SSOP-18-0.65", description="SMD, 18 terminals, pin spacing 0.65mm"),
        FormFactor(name="SSOP-20-0.65", description="SMD, 20 terminals, pin spacing 0.65mm"),
        FormFactor(name="SSOP-24-0.65", description="SMD, 24 terminals, pin spacing 0.65mm"),
        FormFactor(name="SSOP-32-0.65", description="SMD, 32 terminals, pin spacing 0.65mm"),

        FormFactor(name="SSOP-8-0.8", description="SMD, 8 terminals, pin spacing 0.8mm"),
        FormFactor(name="SSOP-10-0.8", description="SMD, 10 terminals, pin spacing 0.8mm"),
        FormFactor(name="SSOP-12-0.8", description="SMD, 12 terminals, pin spacing 0.8mm"),
        FormFactor(name="SSOP-14-0.8", description="SMD, 14 terminals, pin spacing 0.8mm"),
        FormFactor(name="SSOP-16-0.8", description="SMD, 16 terminals, pin spacing 0.8mm"),
        FormFactor(name="SSOP-18-0.8", description="SMD, 18 terminals, pin spacing 0.8mm"),
        FormFactor(name="SSOP-20-0.8", description="SMD, 20 terminals, pin spacing 0.8mm"),
        FormFactor(name="SSOP-24-0.8", description="SMD, 24 terminals, pin spacing 0.8mm"),
        FormFactor(name="SSOP-32-0.8", description="SMD, 32 terminals, pin spacing 0.8mm"),

        FormFactor(name="TSSOP-8-0.5", description="SMD, 8 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSSOP-10-0.5", description="SMD, 10 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSSOP-12-0.5", description="SMD, 12 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSSOP-14-0.5", description="SMD, 14 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSSOP-16-0.5", description="SMD, 16 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSSOP-18-0.5", description="SMD, 18 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSSOP-20-0.5", description="SMD, 20 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSSOP-24-0.5", description="SMD, 24 terminals, pin spacing 0.5mm"),
        FormFactor(name="TSSOP-32-0.5", description="SMD, 32 terminals, pin spacing 0.5mm"),

        FormFactor(name="TSSOP-8-0.65", description="SMD, 8 terminals, pin spacing 0.65mm"),
        FormFactor(name="TSSOP-10-0.65", description="SMD, 10 terminals, pin spacing 0.65mm"),
        FormFactor(name="TSSOP-12-0.65", description="SMD, 12 terminals, pin spacing 0.65mm"),
        FormFactor(name="TSSOP-14-0.65", description="SMD, 14 terminals, pin spacing 0.65mm"),
        FormFactor(name="TSSOP-16-0.65", description="SMD, 16 terminals, pin spacing 0.65mm"),
        FormFactor(name="TSSOP-18-0.65", description="SMD, 18 terminals, pin spacing 0.65mm"),
        FormFactor(name="TSSOP-20-0.65", description="SMD, 20 terminals, pin spacing 0.65mm"),
        FormFactor(name="TSSOP-24-0.65", description="SMD, 24 terminals, pin spacing 0.65mm"),
        FormFactor(name="TSSOP-32-0.65", description="SMD, 32 terminals, pin spacing 0.65mm"),

        FormFactor(name="QSOP-8", description="SMD, 8 terminals, pin spacing 0.635mm"),
        FormFactor(name="QSOP-10", description="SMD, 10 terminals, pin spacing 0.635mm"),
        FormFactor(name="QSOP-12", description="SMD, 12 terminals, pin spacing 0.635mm"),
        FormFactor(name="QSOP-14", description="SMD, 14 terminals, pin spacing 0.635mm"),
        FormFactor(name="QSOP-16", description="SMD, 16 terminals, pin spacing 0.635mm"),
        FormFactor(name="QSOP-18", description="SMD, 18 terminals, pin spacing 0.635mm"),
        FormFactor(name="QSOP-20", description="SMD, 20 terminals, pin spacing 0.635mm"),
        FormFactor(name="QSOP-24", description="SMD, 24 terminals, pin spacing 0.635mm"),
        FormFactor(name="QSOP-32", description="SMD, 32 terminals, pin spacing 0.635mm"),

        FormFactor(name="VSOP-8-0.4", description="SMD, 8 terminals, pin spacing 0.4mm"),
        FormFactor(name="VSOP-10-0.4", description="SMD, 10 terminals, pin spacing 0.4mm"),
        FormFactor(name="VSOP-12-0.4", description="SMD, 12 terminals, pin spacing 0.4mm"),
        FormFactor(name="VSOP-14-0.4", description="SMD, 14 terminals, pin spacing 0.4mm"),
        FormFactor(name="VSOP-16-0.4", description="SMD, 16 terminals, pin spacing 0.4mm"),
        FormFactor(name="VSOP-18-0.4", description="SMD, 18 terminals, pin spacing 0.4mm"),
        FormFactor(name="VSOP-20-0.4", description="SMD, 20 terminals, pin spacing 0.4mm"),
        FormFactor(name="VSOP-24-0.4", description="SMD, 24 terminals, pin spacing 0.4mm"),
        FormFactor(name="VSOP-32-0.4", description="SMD, 32 terminals, pin spacing 0.4mm"),

        FormFactor(name="VSOP-8-0.5", description="SMD, 8 terminals, pin spacing 0.5mm"),
        FormFactor(name="VSOP-10-0.5", description="SMD, 10 terminals, pin spacing 0.5mm"),
        FormFactor(name="VSOP-12-0.5", description="SMD, 12 terminals, pin spacing 0.5mm"),
        FormFactor(name="VSOP-14-0.5", description="SMD, 14 terminals, pin spacing 0.5mm"),
        FormFactor(name="VSOP-16-0.5", description="SMD, 16 terminals, pin spacing 0.5mm"),
        FormFactor(name="VSOP-18-0.5", description="SMD, 18 terminals, pin spacing 0.5mm"),
        FormFactor(name="VSOP-20-0.5", description="SMD, 20 terminals, pin spacing 0.5mm"),
        FormFactor(name="VSOP-24-0.5", description="SMD, 24 terminals, pin spacing 0.5mm"),
        FormFactor(name="VSOP-32-0.5", description="SMD, 32 terminals, pin spacing 0.5mm"),

        FormFactor(name="VSOP-8-0.65", description="SMD, 8 terminals, pin spacing 0.65mm"),
        FormFactor(name="VSOP-10-0.65", description="SMD, 12 terminals, pin spacing 0.65mm"),
        FormFactor(name="VSOP-14-0.65", description="SMD, 14 terminals, pin spacing 0.65mm"),
        FormFactor(name="VSOP-16-0.65", description="SMD, 16 terminals, pin spacing 0.65mm"),
        FormFactor(name="VSOP-18-0.65", description="SMD, 18 terminals, pin spacing 0.65mm"),
        FormFactor(name="VSOP-20-0.65", description="SMD, 20 terminals, pin spacing 0.65mm"),
        FormFactor(name="VSOP-24-0.65", description="SMD, 24 terminals, pin spacing 0.65mm"),
        FormFactor(name="VSOP-32-0.65", description="SMD, 32 terminals, pin spacing 0.65mm"),

        FormFactor(name="DFN-8", description="SMD, 8 terminals, pin spacing 1.27mm"),

        FormFactor(name="QFP-32", description="SMD, 32 terminals"),
        FormFactor(name="QFP-44", description="SMD, 44 terminals"),
        FormFactor(name="QFP-48", description="SMD, 48 terminals"),
        FormFactor(name="QFP-64", description="SMD, 64 terminals"),
        FormFactor(name="QFP-128", description="SMD, 128 terminals"),

        FormFactor(name="LQFP-32", description="SMD, 32 terminals"),
        FormFactor(name="LQFP-44", description="SMD, 44 terminals"),
        FormFactor(name="LQFP-48", description="SMD, 48 terminals"),
        FormFactor(name="LQFP-64", description="SMD, 64 terminals"),
        FormFactor(name="LQFP-128", description="SMD, 128 terminals"),

        FormFactor(name="TQFP-32", description="SMD, 32 terminals"),
        FormFactor(name="TQFP-44", description="SMD, 44 terminals"),
        FormFactor(name="TQFP-48", description="SMD, 48 terminals"),
        FormFactor(name="TQFP-64", description="SMD, 64 terminals"),
        FormFactor(name="TQFP-128", description="SMD, 128 terminals"),

        FormFactor(name="QFN-16", description="SMD, 16 terminals"),
        FormFactor(name="QFN-24", description="SMD, 24 terminals"),
        FormFactor(name="QFN-32", description="SMD, 32 terminals"),
        FormFactor(name="QFN-44", description="SMD, 44 terminals"),
        FormFactor(name="QFN-48", description="SMD, 48 terminals"),
        FormFactor(name="QFN-64", description="SMD, 64 terminals"),
        FormFactor(name="QFN-128", description="SMD, 128 terminals"),

        FormFactor(name="LGA-24", description=""),

        # THT
        FormFactor(name="DIP-8-0.3", description="THT, 8 terminals, pin spacing 2.54mm, row spacing 7.62mm"),
        FormFactor(name="DIP-14-0.3", description="THT, 14 terminals, pin spacing 2.54mm, row spacing 7.62mm"),
        FormFactor(name="DIP-16-0.3", description="THT, 16 terminals, pin spacing 2.54mm, row spacing 7.62mm"),
        FormFactor(name="DIP-18-0.3", description="THT, 18 terminals, pin spacing 2.54mm, row spacing 7.62mm"),
        FormFactor(name="DIP-20-0.3", description="THT, 20 terminals, pin spacing 2.54mm, row spacing 7.62mm"),
        FormFactor(name="DIP-24-0.3", description="THT, 24 terminals, pin spacing 2.54mm, row spacing 7.62mm"),
        FormFactor(name="DIP-28-0.3", description="THT, 28 terminals, pin spacing 2.54mm, row spacing 7.62mm"),
        FormFactor(name="DIP-32-0.3", description="THT, 32 terminals, pin spacing 2.54mm, row spacing 7.62mm"),
        FormFactor(name="DIP-40-0.3", description="THT, 40 terminals, pin spacing 2.54mm, row spacing 7.62mm"),

        FormFactor(name="DIP-8-0.6", description="THT, 8 terminals, pin spacing 2.54mm, row spacing 15.24mm"),
        FormFactor(name="DIP-14-0.6", description="THT, 14 terminals, pin spacing 2.54mm, row spacing 15.24mm"),
        FormFactor(name="DIP-16-0.6", description="THT, 16 terminals, pin spacing 2.54mm, row spacing 15.24mm"),
        FormFactor(name="DIP-18-0.6", description="THT, 18 terminals, pin spacing 2.54mm, row spacing 15.24mm"),
        FormFactor(name="DIP-20-0.6", description="THT, 20 terminals, pin spacing 2.54mm, row spacing 15.24mm"),
        FormFactor(name="DIP-24-0.6", description="THT, 24 terminals, pin spacing 2.54mm, row spacing 15.24mm"),
        FormFactor(name="DIP-28-0.6", description="THT, 28 terminals, pin spacing 2.54mm, row spacing 15.24mm"),
        FormFactor(name="DIP-32-0.6", description="THT, 32 terminals, pin spacing 2.54mm, row spacing 15.24mm"),
        FormFactor(name="DIP-40-0.6", description="THT, 40 terminals, pin spacing 2.54mm, row spacing 15.24mm"),

        FormFactor(name="SDIP-8-0.3", description="THT, 8 terminals, pin spacing 1.78mm, row spacing 7.62mm"),
        FormFactor(name="SDIP-14-0.3", description="THT, 14 terminals, pin spacing 1.78mm, row spacing 7.62mm"),
        FormFactor(name="SDIP-16-0.3", description="THT, 16 terminals, pin spacing 1.78mm, row spacing 7.62mm"),
        FormFactor(name="SDIP-18-0.3", description="THT, 18 terminals, pin spacing 1.78mm, row spacing 7.62mm"),
        FormFactor(name="SDIP-20-0.3", description="THT, 20 terminals, pin spacing 1.78mm, row spacing 7.62mm"),
        FormFactor(name="SDIP-24-0.3", description="THT, 24 terminals, pin spacing 1.78mm, row spacing 7.62mm"),
        FormFactor(name="SDIP-28-0.3", description="THT, 28 terminals, pin spacing 1.78mm, row spacing 7.62mm"),
        FormFactor(name="SDIP-32-0.3", description="THT, 32 terminals, pin spacing 1.78mm, row spacing 7.62mm"),
        FormFactor(name="SDIP-40-0.3", description="THT, 40 terminals, pin spacing 1.78mm, row spacing 7.62mm"),

        FormFactor(name="SDIP-8-0.6", description="THT, 8 terminals, pin spacing 1.78mm, row spacing 15.24mm"),
        FormFactor(name="SDIP-14-0.6", description="THT, 14 terminals, pin spacing 1.78mm, row spacing 15.24mm"),
        FormFactor(name="SDIP-16-0.6", description="THT, 16 terminals, pin spacing 1.78mm, row spacing 15.24mm"),
        FormFactor(name="SDIP-18-0.6", description="THT, 18 terminals, pin spacing 1.78mm, row spacing 15.24mm"),
        FormFactor(name="SDIP-20-0.6", description="THT, 20 terminals, pin spacing 1.78mm, row spacing 15.24mm"),
        FormFactor(name="SDIP-24-0.6", description="THT, 24 terminals, pin spacing 1.78mm, row spacing 15.24mm"),
        FormFactor(name="SDIP-28-0.6", description="THT, 28 terminals, pin spacing 1.78mm, row spacing 15.24mm"),
        FormFactor(name="SDIP-32-0.6", description="THT, 32 terminals, pin spacing 1.78mm, row spacing 15.24mm"),
        FormFactor(name="SDIP-40-0.6", description="THT, 40 terminals, pin spacing 1.78mm, row spacing 15.24mm"),

        # THT, Small pin counts
        FormFactor(name="TO-3", description="THT, panel mount, metal can, mostly power transistors"),
        FormFactor(name="TO-5", description="THT, metal can, mostly transistors, 6.3×⌀8.9mm"),
        FormFactor(name="TO-18", description="THT, metal can, small signal transistors, metal version of TO-92"),
        FormFactor(name="TO-66", description="THT, panel mount, metal can, mostly power transistors, smaller version of TO-3"),
        FormFactor(name="TO-92", description="THT, plastic package, 3 terminals, pin spacing 1.27mm"),
        FormFactor(name="SOD-70", description="THT, plastic package, 2 terminals, pin spacing 2.54mm, 2 terminal version of TO-92"),
        FormFactor(name="TO-126", description="THT, aka. SOT-32, with mounting hole for heatsink, pin spacing 2.54mm"),
        FormFactor(name="TO-220", description="THT, power package with metal backing, mounting hole in tab, pin spacing 2.54mm"),
        FormFactor(name="I-PAK", description="THT, mostly power mosfets, 3 terminals, pin spacing 2.29mm"),
        # THT, diodes

        FormFactor(name="DO-7", description="THT, Diode, mostly germanium"),
        FormFactor(name="DO-35", description="THT, aka. SOD-27, signal diode, 3.05 to 5.08 × ⌀1.53 to ⌀2.28 mm"),
        FormFactor(name="DO-41", description="THT, aka. SOD-66, rectifier diode, 4.07 to 5.20 × ⌀2.04 to ⌀2.71 mm"),


        FormFactor(name="HC49", description="THT, HC49 quartz crystal package, comes in 2 heights"),
        FormFactor(name="PG-SSO-3-2", description="THT, Infineon hall effect sensors, 3 terminals, pin spacing 1.27mm"),
        FormFactor(name="LED 5", description="THT, 5mm LED, pin spacing 1.27mm"),
        FormFactor(name="LED 3", description="THT, 3mm LED, pin spacing 1.27mm"),

        # THT Raster
        FormFactor(name="RM 1.27", description="THT, 1.27mm Raster"),
        FormFactor(name="RM 2", description="THT, 2mm Raster"),
        FormFactor(name="RM 2.54", description="THT, 2.54mm Raster"),
        FormFactor(name="RM 3.5", description="THT, 3.5mm Raster"),
        FormFactor(name="RM 7.5", description="THT, 7.5mm Raster"),
        FormFactor(name="RM 5", description="THT, 5mm Raster"),
        FormFactor(name="RM 5.08", description="THT, 5.08mm Raster"),
    ])

    # TODO:
    # - Arrow (broken webpage)

    Distributor.objects.bulk_create([
        Distributor(
            name="Reichelt",
            description="Reichelt Elektronik",
            web_link="https://www.reichelt.de",
            search_link="https://www.reichelt.de/index.html?ACTION=446&LA=0&nbc=1&q={}",
            phone="+49 4422 955-333",
            email="info@reichelt.de",
            icon=ImageFile(open('inventory/static/inventory/img/reichelt.png', 'rb'))
        ),
        Distributor(
            name="Amazon",
            description="Amazon DE",
            web_link="https://amazon.de",
            search_link="https://www.amazon.de/s?k={}",
            icon=ImageFile(open('inventory/static/inventory/img/amazon.png', 'rb'))
        ),
        Distributor(
            name="AZ Delivery",
            description="AZ Delivery Deutschland",
            web_link="https://az-delivery.de",
            search_link="https://az-delivery.de/de/search?type=product&q={}*",
            phone="+49 991 99927827",
            email="info@az-delivery.com",
            icon=ImageFile(open('inventory/static/inventory/img/azdelivery.png', 'rb'))
        ),
        Distributor(
            name="DevElektro",
            description="DevElektro, consumer branch of Farnell",
            web_link="https://www.develektro.com",
            search_link="https://www.develektro.com/navi.php?qs={}&search=",
            phone=" +49 35754 794780",
            email="info@develektro.com",
            icon=ImageFile(open('inventory/static/inventory/img/develektro.png', 'rb'))
        ),
        Distributor(
            name="Watterott",
            description="Watterott electronic",
            web_link="https://shop.watterott.com",
            search_link="https://shop.watterott.com/navi.php?qs={}&search=",
            phone="+49 3605 578010",
            email="info@watterott.com",
            icon=ImageFile(open('inventory/static/inventory/img/watterott.png', 'rb'))
        ),
        Distributor(
            name="Ebay",
            description="Ebay DE",
            web_link="https://www.ebay.de/",
            search_link="https://www.ebay.de/sch/i.html?_nkw={}&_sacat=0",
            icon=ImageFile(open('inventory/static/inventory/img/ebay.png', 'rb'))
        ),
        Distributor(
            name="Farnell",
            description="Farnell DE",
            web_link="https://de.farnell.com/",
            search_link="https://de.farnell.com/w/search/prl/ergebnisse?st={}",
            phone="+49 89 61 39 39 79",
            email="verkauf@farnell.com",
            icon=ImageFile(open('inventory/static/inventory/img/farnell.png', 'rb'))
        ),
        Distributor(
            name="Mouser",
            description="Mouser DE",
            web_link="https://www.mouser.de/",
            search_link="https://www.mouser.de/Search/Refine?Keyword={}",
            phone="+49 89 520 462 110 ",
            email="muenchen@mouser.com",
            icon=ImageFile(open('inventory/static/inventory/img/mouser.png', 'rb'))
        ),
        Distributor(
            name="Digikey",
            description="Digikey DE",
            web_link="https://www.digikey.de/",
            search_link="https://www.digikey.de/products/de?keywords={}",
            phone="+49 30 915 884 91",
            email="eu.support@digikey.com",
            icon=ImageFile(open('inventory/static/inventory/img/digikey.png', 'rb'))
        ),
        Distributor(
            name="Conrad",
            description="Conrad DE",
            web_link="https://www.conrad.de/",
            search_link="https://www.conrad.de/de/search.html?search={}",
            phone="+49 9604 40 87 87",
            email="kundenservice@conrad.de",
            icon=ImageFile(open('inventory/static/inventory/img/conrad.png', 'rb'))
        ),
        Distributor(
            name="Adafruit",
            description="Adafruit Industries",
            web_link="https://www.adafruit.com/",
            search_link="https://www.adafruit.com/?q={}&sort=BestMatch",
            icon=ImageFile(open('inventory/static/inventory/img/adafruit.png', 'rb'))
        ),
        Distributor(
            name="EBV Elektronik",
            description="AVNet Germany",
            web_link="https://www.avnet.com/wps/portal/ebv/",
            search_link="https://www.avnet.com/shop/emea/search/{}",
            phone="+49 8121 774 0",
            icon=ImageFile(open('inventory/static/inventory/img/ebv.png', 'rb'))
        ),
        Distributor(
            name="Pollin",
            description="Pollin Elektronik",
            web_link="https://www.pollin.de/",
            search_link="https://www.pollin.de/search?query={}",
            phone="+49 8403 920 920",
            email="service@pollin.de",
            icon=ImageFile(open('inventory/static/inventory/img/pollin.png', 'rb'))
        ),
        Distributor(
            name="Maplin",
            description="Maplin UK",
            web_link="https://www.maplin.co.uk/",
            search_link="https://www.maplin.co.uk/catalogsearch/result/?q={}",
            icon=ImageFile(open('inventory/static/inventory/img/maplin.png', 'rb'))
        ),
        Distributor(
            name="Pimoroni",
            description="Pimoroni",
            web_link="https://shop.pimoroni.com/",
            search_link="https://shop.pimoroni.com/?q={}",
            icon=ImageFile(open('inventory/static/inventory/img/pimoroni.png', 'rb'))
        ),
        Distributor(
            name="Rapid",
            description="Rapid Elektronics, Conrad outlet",
            web_link="https://www.rapidonline.com/",
            search_link="https://www.rapidonline.com/Catalogue/Search?Query={}",
            email="sales@rapidonline.com",
            icon=ImageFile(open('inventory/static/inventory/img/rapid.png', 'rb'))
        ),
        Distributor(
            name="RS Components",
            description="RS Components DE",
            web_link="https://de.rs-online.com/web/",
            search_link="https://de.rs-online.com/web/c/?sra=oss&r=t&searchTerm={}",
            phone="+49 69 5800 14 234",
            email="rs-gmbh@rsonline.de",
            icon=ImageFile(open('inventory/static/inventory/img/rs.png', 'rb'))
        ),
        Distributor(
            name="Sparkfun",
            description="Sparkfun",
            web_link="https://www.sparkfun.com/",
            search_link="https://www.sparkfun.com/search/results?term={}",
            email="support@sparkfun.com",
            icon=ImageFile(open('inventory/static/inventory/img/sparkfun.png', 'rb'))
        ),
    ])

    Layout.objects.bulk_create([
        Layout(
            name="SMD Box-ALL",
            description="AideTek SMD Box-All 144 compartments",
            data=[
                [[1] * 12] * 6
            ] * 2
        ),
        Layout(
            name="Pollin Sorter",
            description="Pollin.de 17 compartments sorting box",
            data=[
                [1, 1, 1, 1, 1, 1],
                [2, 1, 1, 1, 1, 1],
                [   1, 1, 1, 1, 1]
            ]
        ),

        #
        # Raaco
        #
        Layout(
            name="Raaco 1260-00",
            description="Raaco 150 Series, 60 compartments",
            data=[
                [3] * 5
            ] * 12,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 1248-01",
            description="Raaco 150 Series, 48 compartments",
            data=[
                [3] * 4
            ] * 12,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 1224-02",
            description="Raaco 150 Series, 24 compartments",
            data=[
                [3] * 3
            ] * 8,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 1208-03",
            description="Raaco 150 Series, 8 compartments",
            data=[
                [3] * 8
            ],
            template_name='raaco-simple'
        ),
        Layout(
            name="Raaco 1216-04",
            description="Raaco 150 Series, 16 compartments",
            data=[
                [3] * 2
            ] * 8,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 1240-123",
            description="Raaco 150 Series, 16 compartments",
            data=[
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3],
                [   3   ]
            ]
        ),
        Layout(
            name="Raaco 945-00",
            description="Raaco 150 Series, 45 compartments",
            data=[
                [3] * 5
            ] * 9,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 936-01",
            description="Raaco 150 Series, 36 compartments",
            data=[
                [3] * 4
            ] * 9,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 918-02",
            description="Raaco 150 Series, 18 compartments",
            data=[
                [3] * 3
            ] * 6,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 906-03",
            description="Raaco 150 Series, 6 compartments",
            data=[
                [3] * 6
            ],
            template_name='raaco-simple'
        ),
        Layout(
            name="Raaco 928-123",
            description="Raaco 150 Series, 6 compartments",
            data=[
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3],
                [3]
            ]
        ),
        Layout(
            name="Raaco 630-00",
            description="Raaco 150 Series, 30 compartments",
            data=[
                [3] * 5
            ] * 6,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 624-01",
            description="Raaco 150 Series, 24 compartments",
            data=[
                [3] * 4
            ] * 6,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 612-02",
            description="Raaco 150 Series, 12 compartments",
            data=[
                [3] * 3
            ] * 4,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 616-123",
            description="Raaco 150 Series, 16 compartments",
            data=[
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3, 3],
                [3, 3, 3],
                [3]
            ]
        ),
        Layout(
            name="Raaco 250/24-1",
            description="Raaco 250 Series, 24 compartments",
            data=[
                [3] * 4,
            ] * 6,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 250/8-2",
            description="Raaco 250 Series, 8 compartments",
            data=[
                [3] * 2,
            ] * 4,
            template_name='raaco-even'
        ),
        Layout(
            name="Raaco 250/6-3",
            description="Raaco 250 Series, 6 compartments",
            data=[
                [3] * 6,
            ],
            template_name='raaco-simple'
        ),

        #
        # Stanley
        #
        Layout(
            name="Stanley Sorter 1",
            description="Stanley 14011 Organizer OPP 11\", 10 compartments, every compartment",
            data=[
                [1, 1, 1, 1, 1, 1],
                [1, 1, 1, 1, 1, 1],
                [1, 1,       1, 1]
            ]
        ),
        Layout(
            name="Stanley Sorter 2",
            description="Stanley 14011 Organizer OPP 11\", 10 compartments, 2 wide compartments",
            data=[
                [2, 2, 2],
                [2, 2, 2],
                [2,    2]
            ]
        ),

        #
        # Ikea
        #
        Layout(
            name="Ikea Glis",
            description="Ikea Sorter, 34x21cm, 5 compartments",
            data=[
                [2,       3],
                [   1, 1, 1]
            ]
        ),
        Layout(
            name="Ikea Samla 5L",
            description="Ikea Samla box, 28x20x14cm",
            data=[
                [5]
            ],
            template_name='ikea-samla'
        ),
        Layout(
            name="Ikea Samla 11L",
            description="Ikea Samla box, 39x28x14cm",
            data=[
                [11]
            ],
            template_name='ikea-samla'
        ),
        Layout(
            name="Ikea Samla 22L",
            description="Ikea Samla box, 39x28x28cm",
            data=[
                [22]
            ],
            template_name='ikea-samla'
        ),
        Layout(
            name="Ikea Samla 45L",
            description="Ikea Samla box, 57x39x28cm",
            data=[
                [45]
            ],
            template_name='ikea-samla'
        ),
        Layout(
            name="Ikea Samla 55L",
            description="Ikea Samla box, 79x57x18cm",
            data=[
                [55]
            ],
            template_name='ikea-samla'
        ),
        Layout(
            name="Ikea Samla 65L",
            description="Ikea Samla box, 57x39x42cm",
            data=[
                [65]
            ],
            template_name='ikea-samla'
        ),
        Layout(
            name="Ikea Samla 135L",
            description="Ikea Samla box, 79x57x43cm",
            data=[
                [135]
            ],
            template_name='ikea-samla'
        )
    ])


class Migration(migrations.Migration):

    dependencies = [
        ('inventory', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(default_data)
    ]
